#define AF_INET6        24              /* Internet Protocol version 6 */
typedef uint32_t u_int32_t ;

int inet_pton(int af, const char *src, void *dst);
const char *inet_ntop(int af, const void *src, char *dst, size_t size);
